Chatbot Faqs
Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
Responses
200
List of all FAQs.
application/json
errorstringOptional
Optional error message.
403
Insufficient permissions.
get/v1/chatbots/{chatbotId}/faqs
GET /v1/chatbots/{chatbotId}/faqs HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
"faqs": [
{
"id": "59aBv7wzR9cxd1Pxyz",
"created": "2025-10-02T12:00:00Z",
"updated": "2025-10-02T12:05:00Z",
"name": "What are the shipping costs?",
"intentId": "Kq8BxZaJd2wZR9cxd1P",
"stepId": "59aBv7wzR9cxd1Pxyz",
"hasMessages": true,
"step": {
"stepId": "59aBv7wzR9cxd1Pxyz",
"flowId": "Kq8BxZaJd2wZR9cxd1P"
}
}
],
"error": "text"
}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
Body
namestringRequiredExample:
The question or name of the new FAQ.
Opening hoursResponses
201
Faq created successfully.
application/json
errorstringOptional
Optional error message.
400
Invalid input data.
403
Insufficient permissions.
post/v1/chatbots/{chatbotId}/faqs
POST /v1/chatbots/{chatbotId}/faqs HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"name": "Opening hours"
}{
"faq": {
"id": "59aBv7wzR9cxd1Pxyz",
"created": "2025-10-02T12:00:00Z",
"updated": "2025-10-02T12:05:00Z",
"name": "What are the shipping costs?",
"intentId": "Kq8BxZaJd2wZR9cxd1P",
"stepId": "59aBv7wzR9cxd1Pxyz",
"hasMessages": true,
"step": {
"stepId": "59aBv7wzR9cxd1Pxyz",
"flowId": "Kq8BxZaJd2wZR9cxd1P"
}
},
"error": "text"
}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
faqIdstringRequired
The ID of the FAQ to retrieve.
Responses
200
Details of the FAQ.
application/json
errorstringOptional
Optional error message.
403
Insufficient permissions.
get/v1/chatbots/{chatbotId}/faqs/{faqId}
GET /v1/chatbots/{chatbotId}/faqs/{faqId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
"faq": {
"id": "59aBv7wzR9cxd1Pxyz",
"created": "2025-10-02T12:00:00Z",
"updated": "2025-10-02T12:05:00Z",
"name": "What are the shipping costs?",
"intentId": "Kq8BxZaJd2wZR9cxd1P",
"stepId": "59aBv7wzR9cxd1Pxyz",
"hasMessages": true,
"step": {
"stepId": "59aBv7wzR9cxd1Pxyz",
"flowId": "Kq8BxZaJd2wZR9cxd1P"
}
},
"error": "text"
}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
faqIdstringRequired
The ID of the FAQ to delete.
Responses
200
Result of the deletion operation.
application/json
deletedbooleanRequiredExample:
Indicates whether the deletion process was successful.
trueerrorstringOptional
Optional error message.
403
Insufficient permissions.
delete/v1/chatbots/{chatbotId}/faqs/{faqId}
DELETE /v1/chatbots/{chatbotId}/faqs/{faqId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
"deleted": true,
"error": "text"
}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
faqIdstringRequired
The ID of the FAQ to update.
Body
namestringRequiredExample:
The new name of the FAQ.
What are the changed opening hours?Responses
200
Faq updated successfully.
application/json
errorstringOptional
Optional error message.
400
Invalid input data.
403
Insufficient permissions.
patch/v1/chatbots/{chatbotId}/faqs/{faqId}
PATCH /v1/chatbots/{chatbotId}/faqs/{faqId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"name": "What are the changed opening hours?"
}{
"faq": {
"id": "59aBv7wzR9cxd1Pxyz",
"created": "2025-10-02T12:00:00Z",
"updated": "2025-10-02T12:05:00Z",
"name": "What are the shipping costs?",
"intentId": "Kq8BxZaJd2wZR9cxd1P",
"stepId": "59aBv7wzR9cxd1Pxyz",
"hasMessages": true,
"step": {
"stepId": "59aBv7wzR9cxd1Pxyz",
"flowId": "Kq8BxZaJd2wZR9cxd1P"
}
},
"error": "text"
}Last updated